/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package object.tablemanager;

import java.awt.Color;
import java.util.ArrayList;
import object.billmanager.BillItem;

/**
 *
 * @author Administrator
 */
public class Table extends Floor {

    private String idTable;
    private String nameTable;
    private ArrayList<BillItem> alBillItems;
    private double totalMoney;
    private Color colorTable;

    public Table() {
        alBillItems = new ArrayList<>();
    }

    public Table(String idTable, String nameTable, ArrayList<BillItem> alBillItems, Color colorTable) {
        this.idTable = idTable;
        this.nameTable = nameTable;
        this.alBillItems = alBillItems;
        this.colorTable = colorTable;
    }

    public Table(String idTable, String nameTable, ArrayList<BillItem> alBillItems, Color colorTable, String idFloor, String nameFloor) {
        super(idFloor, nameFloor);
        this.idTable = idTable;
        this.nameTable = nameTable;
        this.alBillItems = alBillItems;
        this.colorTable = colorTable;
    }

    public String getIdTable() {
        return idTable;
    }

    public void setIdTable(String idTable) {
        this.idTable = idTable;
    }

    public String getNameTable() {
        return nameTable;
    }

    public void setNameTable(String nameTable) {
        this.nameTable = nameTable;
    }

    public ArrayList<BillItem> getAlBillItems() {
        return alBillItems;
    }

    public void setAlBillItems(ArrayList<BillItem> alBillItems) {
        this.alBillItems = alBillItems;
    }

    public double getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(double totalMoney) {
        this.totalMoney = totalMoney;
    }

    public Color getColorTable() {
        return colorTable;
    }

    public void setColorTable(Color colorTable) {
        this.colorTable = colorTable;
    }

    @Override
    public String toString() {
        return super.toString() + ", Table{" + "idTable=" + idTable + ", nameTable=" + nameTable + ", alBillItems=" + alBillItems + ", colorTable=" + colorTable + '}';
    }

}
